.toolbar {
  position: absolute;
  width: 40px;
  top: 20px;
  right: 20px;
  //TODO: Change animation to fit with sideNav
  transition: right 250ms ease;
  z-index: 1000;

  &.offset {
    // TODO: Récupérer variable width
    right: 470px;
  }

  .toolbar-block {
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
    margin-bottom: 20px;
    background-color: white;
    border-radius: 2px;

    div {
      width: 40px;
      height: 40px;
      line-height: 40px;
      text-align: center;
      border-bottom: solid 1px #979797;
      cursor: pointer;

      &:hover {
        background-color: #f4f4f4;
      }

      &:last-child {
        border-bottom: none;
      }

      i {
        margin: 5px 10px;
        color: #555;
        font-size: 16px;
      }
    }

    .zoomControl {
      height: 80px;
    }

    .pushed {
      background-color: #e4e4e4;
      box-shadow: inset 1px 1px 2px #888;
    }
  }
}
